#include <bits/stdc++.h>
#define endl '\n'
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n=0, k=0, a=0;
    for (int i=0;i<n;i+=1) {
        cin>>a;
        if (a) k-=1;
    }
    if (k<=0) cout<<1<<endl;
    else cout<<0<<endl;
    return 0;
}